Download it now!
Bug 66817 - widget Arrow(plus?) for More options in dialog Search and Replace does not take focus with short cut, nor reacts on SPACE to unfold
Summary: widget Arrow(plus?) for More options in dialog Search and Replace does not ta...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha1
Hardware: Other Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-11 10:25 UTC by Cor Nouws
Modified: 2013-07-30 10:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot of dialog search and replace (32.29 KB, image/png)
2013-07-11 10:25 UTC, Cor Nouws
Details
screen shot of different widget with same problem: does not react on SPACE (50.21 KB, image/png)
2013-07-11 12:25 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2013-07-11 10:25:01 UTC
Created attachment 82330 [details]
screen shot of dialog search and replace

Ctrl+H
stype Alt+short cut for 'More options' ('Overige opties' in screen print)
  > focus is on the widget above
  > should be on 'More options'

hit TAB multiple time till widget has focus
hit SPACE
  > noting happens
  > More should unfold
Comment 1 Cor Nouws 2013-07-11 10:27:46 UTC
@caolán: you know how to handle this one too.

Of course, not the most urgent (IMHO)

By the way: set version bluntly to some early 410. Obviously that may be wrong, but (IMHO) not the most important too for this bug.
Comment 2 Cor Nouws 2013-07-11 12:25:37 UTC
Created attachment 82335 [details]
screen shot of different widget with same problem: does not react on SPACE

The Apply widget in Fiels > Variables > Userfield has the same problem. Does not respond to hitting SPACE. Only reacts on mouse
Comment 3 Commit Notification 2013-07-12 10:31:12 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f7eab01a65c39b07afb1fba8819593694a3fef3

Related: fdo#66817 pressing space on a DisclosureButton should toggle it



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-07-12 10:48:35 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=479bba2cdcda8dbd86861ea62c8c25bfef633148

Related: fdo#66817 ensure VclExpander label is mnemonic for disclosure button



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-07-30 10:23:05 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb37804bb6f4df0e7bc28e68bd7d1165cc848f93&h=libreoffice-4-1

Related: fdo#66817 pressing space on a DisclosureButton should toggle it


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.